API referenceBidding XBID
POST /api/XBID/GetHistoricalBestBidOfferSnapshots
Returns stored best-bid-offer snapshots. Set DepthLevels to return only the requested number of buy and sell levels per snapshot.
POST
/api/XBID/GetHistoricalBestBidOfferSnapshotscurl -X POST "/api/XBID/GetHistoricalBestBidOfferSnapshots" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": {
"contractIds": [
0
],
"deliveryDateFrom": "2026-01-15T09:30:00Z",
"deliveryDateTo": "2026-01-15T09:30:00Z",
"snapshotDateFrom": "2026-01-15T09:30:00Z",
"snapshotDateTo": "2026-01-15T09:30:00Z",
"depthLevels": 0
}
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
dataAtlas.SDK.Bidding.Models.XBID.XBIDHistoricalDataQueryDto
Response
application/json
OK
successbooleanrecordCountinteger<int32>dataAtlas.SDK.Bidding.Models.XBID.XBIDBestBidOfferSnapshotDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"contractId": 0,
"dateUpdated": "2026-01-15T09:30:00Z",
"buy": [
{
"price": 0,
"quantity": 0,
"orderCount": 0
}
],
"sell": [
{
"price": 0,
"quantity": 0,
"orderCount": 0
}
]
}
]
}